/*
		YesNoQuery.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/


#include "stdafx.h"
#include "Cbreak.h"
#include "YesNoQuery.h"
#include "utils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// YesNoQuery dialog


YesNoQuery::YesNoQuery(char *title, char *query, int initial,CWnd* pParent /*=NULL*/)
	: CDialog(YesNoQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(YesNoQuery)
	m_value = !initial;
	m_query_string = query;
	//}}AFX_DATA_INIT
	query_title = title;
	value=initial;
}


void YesNoQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(YesNoQuery)
	DDX_Radio(pDX, IDC_QUERY_YES, m_value);
	DDX_Text(pDX, IDC_QUERY_STRING, m_query_string);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(YesNoQuery, CDialog)
	//{{AFX_MSG_MAP(YesNoQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// YesNoQuery message handlers

void YesNoQuery::OnOK() 
{
	UpdateData(TRUE);
    value=!m_value;
	CDialog::OnOK();
}
